OfficeGest
Attachments/Categories/{id}

Update attachment category

Updates an existing attachment category.

PATCH
/attachments/categories/{id}
AuthorizationBearer <token>

In: header

Path Parameters

idstring
name?string

Category name

Lengthlength <= 255
is_active?boolean

Whether the category is active

Response Body

curl -X PATCH "https://og-tenant1.test:8003/api/v2/attachments/categories/string" \
  -H "Content-Type: application/json" \
  -d '{}'
{
  "data": {
    "id": 0,
    "name": "string",
    "is_active": true,
    "attachments_count": 0
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}